import { FormConfig } from "/@/components/PageSearch";
import { checkTypeOptions, orderTypeCgOptions, ticketReturnStatusOptions } from "/@/utils/status";
// import { checkTypeOptions, invTypeOptions, statusOptions } from "./_opitons";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "新建起始时间",
        endPlaceholder: "新建结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      placeholder: "审核状态",
      options: ticketReturnStatusOptions
    },
    {
      field: "supplierNo",
      type: "supplier-query"
    },
    {
      field: "hpNo",
      type: "input",
      placeholder: "对账回票编码"
    },
    {
      field: "payNo",
      type: "input",
      placeholder: "发票编码"
    },
    {
      field: "apply_name",
      type: "input",
      placeholder: "申请人"
    }
  ]
};

export default searchFormConfig;
