export const template = {
  '发货工单编号': 'TCD2401291109409999',
  '物流供应商公司编号': 'QS2203150147013805',
  '物流供应商公司名称': '北京百辰荣达国际科贸有限公司',
  '业务公司编号': 'GS2203161855277894',
  '业务公司名称': '北京万宇恒通国际科贸有限公司',
  '物流费用': '10',
  '备注': ''
};


export const columns = [
  {
    prop: 'outChildCode',
    minWidth: '140',
    label: '发货工单编号',
    required: true
  },
  {
    prop: 'supplierNo',
    minWidth: '140',
    label: '物流供应商公司编号',
    required: true
  },
  {
    prop: 'p2',
    minWidth: '140',
    label: '物流供应商公司名称'
  },
  {
    prop: 'companyNo',
    minWidth: '140',
    label: '业务公司编号',
    required: true
  },
  {
    prop: 'p4',
    minWidth: '140',
    label: '业务公司名称'
  },
  {
    prop: 'post_fee',
    minWidth: '140',
    label: '物流费用',
    required: true,
    number: true
  },
  {
    prop:'remark',
    minWidth:'140',
    label:'备注'
  }
];
