const initheaders = [
  "收款方公司编码",
  "收款方公司名称",
  "收款方账户",
  "ND编号",
  "平台订单编号",
  "订单客户名称",
  "交易时间",
  "收入金额",
  "账号余额",
  "交易行名",
  "对方账号",
  "对方户名",
  "交易用途"
];

export const requireHeaders = [
  "收款方公司编码",
  "收款方账户",
  "交易时间",
  "收入金额",
  "交易行名",
  "对方账号",
  "对方户名"
];

const getValueName = (label: string) => 'value' + initheaders.findIndex(item => item === label)
console.log(getValueName)

export const requsetHeaderIdxs = [
  getValueName('收款方公司编码'),
  getValueName('收款方账户'),
  getValueName('交易时间'),
  getValueName('收入金额'),
  getValueName('交易行名'),
  getValueName('对方账号'),
  getValueName('对方户名')
];

const columns = () => {
  const list: any[] = [
    {
      type: "index",
      width: "50",
      fixed: "left",
      label: "序号"
    }
  ];
  initheaders.forEach((si, sii) => {
    list.push({
      prop: "value" + sii,
      label: si,
      minWidth: sii === 0 || sii === 1 ? "120px" : "90px"
    });
  });

  console.log(list);
  return list;
};

export { initheaders, columns };
