import { statusOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: 'cat_code',
      type: "input",
      placeholder: "税收分类编码",
    },
    {
      field: 'cat_name',
      type: "input",
      placeholder: "税目",
    },
    {
      field: "status",
      type: "select",
      placeholder: "元隆是否能开票",
      options: statusOptions
    }
  ]
};

export default searchFormConfig;
