export const statusOptions = [
  { value: "1", label: "业务公司业务审核" },
  { value: "2", label: "审核成功" },
  { value: "3", label: "买家驳回" },
  { value: "4", label: "已撤销对账" }
];


export const initialState = () => ({
  supplierNo: '',
  companyNo: '',
  sids: []
});


export const rules = {
  companyNo: [{ required: true, message: '请选择业务公司', trigger: 'change' }],
  supplierNo: [{ required: true, message: '请选择物流供应商', trigger: 'change' }],
  sids: [{ required: true, message: '请选择发货运单号', trigger: 'change' }],
}
